StdKeyDeserializers (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.deser.std

## Class StdKeyDeserializers

- java.lang.Object
- - org.codehaus.jackson.map.deser.std.StdKeyDeserializers

-     public class StdKeyDeserializers
      extends Object

  Helper class used to contain simple/well-known key deserializers. Following kinds of Objects can be handled currently:
  - Primitive wrappers
  - Enums (usually not needed, since EnumMap doesn't call us)
  - Anything with constructor that takes a single String arg (if not explicitly @JsonIgnore'd)
  - Anything with 'static T valueOf(String)' factory method (if not explicitly @JsonIgnore'd)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HashMap<JavaType,KeyDeserializer>` | `_keyDeserializers`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StdKeyDeserializers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HashMap<JavaType,KeyDeserializer>` | `constructAll()`
    `static KeyDeserializer` | `constructEnumKeyDeserializer(EnumResolver<?> enumResolver)`
    `static KeyDeserializer` | `constructEnumKeyDeserializer(EnumResolver<?> enumResolver, AnnotatedMethod factory)`
    `static KeyDeserializer` | `constructStringKeyDeserializer(DeserializationConfig config, JavaType type)`
    `static KeyDeserializer` | `findStringBasedKeyDeserializer(DeserializationConfig config, JavaType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _keyDeserializers

          protected final HashMap<JavaType,KeyDeserializer> _keyDeserializers

  - ### Constructor Detail

    - #### StdKeyDeserializers

          protected StdKeyDeserializers()

  - ### Method Detail

    - #### constructAll

          public static HashMap<JavaType,KeyDeserializer> constructAll()

    - #### constructStringKeyDeserializer

          public static KeyDeserializer constructStringKeyDeserializer(DeserializationConfig config,
                                                       JavaType type)

    - #### constructEnumKeyDeserializer

          public static KeyDeserializer constructEnumKeyDeserializer(EnumResolver<?> enumResolver)

    - #### constructEnumKeyDeserializer

          public static KeyDeserializer constructEnumKeyDeserializer(EnumResolver<?> enumResolver,
                                                     AnnotatedMethod factory)

    - #### findStringBasedKeyDeserializer

          public static KeyDeserializer findStringBasedKeyDeserializer(DeserializationConfig config,
                                                       JavaType type)